package com.supervision.knowsub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.knowsub.model.SystemUser;
import com.supervision.knowsub.vo.user.LoginReqVO;
import com.supervision.knowsub.vo.user.LoginResVO;
import com.supervision.knowsub.vo.user.UserInfoReqVo;
import com.supervision.knowsub.dto.user.UserInfoDTO;
import com.supervision.knowsub.vo.user.UserStatusReqVo;

import java.util.List;

public interface UserManageService {

    LoginResVO login(LoginReqVO reqVO);

    UserInfoDTO getUserAccountInfo();

    List<SystemUser> listUserByDeptId(String deptId,Integer status);


    Long countUserByDeptId(String deptId,Integer status);

    String saveUserInfo(UserInfoReqVo userInfoReqVo);

    void updateUserInfo(UserInfoReqVo userInfoReqVo);

    Boolean deleteUser(String id);

    IPage<UserInfoDTO> list(String userName, String deptId, String roleId, String roleName,Integer pageNum, Integer pageSize);

    Boolean resetPW(String id);

    void updateUserStatus(UserStatusReqVo userStatusReqVo);
}
